Deckblatt

 Top Next

MP logo 300

Handbuch Masterplay On Air

Revision 1.0


Introduction

 Top Previous Next

Dear Masterplay-customer,

this manual will support you in your first steps with Masterplay OnAir-software but also with special questions and settings.

This manual will be updated time by time, but it cannot be actual in realtime. Updates should be avaliable as soon as possible.

If there are any questions do not hesitate to contact your Masterplay-dealer or:

for germany:

Reuter Videosupport Digital
D-56410 Montabaur

T +49 (0)2602 9995477
F +49 (0)2602 9995480

www.videosupport.de

info@videosupport.de

for switzerland:

ProTV AG
Bösch 82
CH-6331 Hünenberg

T +41 (0)41 784 17 17
F +41 (0)41 780 20 71

www.protvag.tv

support@masterplay.tv


What is Masterplay OnAir

MasterPlay OnAir is a filebased MPEG-2 and stillpicture-based Playoutsystem. It is a perfect match for single- and multichannel- playoutsystems for broadcasters. Its integrated OSD completes a lot of features to the fuctions of Masterplay OnAir.

By using drag & drop in the Playlist-Editor you are able to create scheduled Playlists and you are able to control external devices like switchers, character generators, tape-machines and many more - also bi-directional which means Masterplay OnAir does control the device and is able to react to external events and informations. All the events are stored in a playlist ( *.in file which is a regular textfile ) and you are able to create and combine unlimited playlists also on 3rd-party computers.

Therefore Masterplay does support four different modes:

1) time- and date- dependent playlists ( scheduling )

2) manual event-trigger

3) automated event-trigger

4) file import scheduling (traffic )

One playlist is able to contain one or more of this modes. For to edit a playlist use the integrated Playlist-Editor ( explained in later chapters in this manual )

Masterplay OnAir can use composite, S-video, or optional SDI and HDSDI or component-out. Also balanced and unbalanced Audio and optional AES/EBU. Genlock-in is also avaliable.


basic configuration

Here you are able to change the basic settings. These settings you have to change once after installing Masterplay OnAir, after that configuration normally there is no need to change that settings.

These settings ( and some more ) are stored in the file "mplay.ini" so you are able to transfer identical settings to different Masterplay OnAir-systems by copying this file on multiple computers.

Keep in mind that you check all the settings manually, because mostly it makes no sense to configure systems abolutely equal, because of IP-adresses, network-folders and so on.


System

System Boot:

Configure the time that is used for a daily reebot of your system.

day change:

This is the preset of the day-change and the start-time of a new "event-day"

Default framerate:

Framerate-setting for PAL, NTSC and so on like 25 fps, 30 fps, 29,97 fps, 50 fps, 60 fps and so on

Audio fade out when reaching next event:

by reaching the start of a new event the audio of the current playback will be faded ou linear or logarithmic during a time which you can choose

Temp Directory:

this is the path to the temporary folder of Masterplay OnAir

Automatic resume after failure:

You can choose what happens for example after a reebot ( if power failure happens or whatever )

Masterplay OnAir is able to trigger the playback to the current time or resumes the last position of the playlist and clip before the failure happens

Automatic resume after correct shutdown:

You can choose what happens for example after a regular reebot

Masterplay OnAir is able to trigger the playback to the current time or resumes the last position of the playlist and clip before the shutdown

Metadata:

It is possible to write metadata from a database or archive into the header of the file. Of course you are able to use that metadata for to search for files or whatever

Video file Extensions:

List of legal videofile-extensions. If you delete entries here these filetypes are not longer shown in the fileselector of the Playlist-Editor.

Video file Extensions ( no audio ) :

List of legal videfile-extensions without audiopart. If you delete entries here these filetypes are not longer shown in the fileselector of the Playlist-Editor.

Audio file Extensions:

List of legal audiofile-extensions. If you delete entries here these filetypes are not longer shown in the fileselector of the Playlist-Editor.


Edit Mode

OnAir warnings:

Error messages and warnings are shown as a popup-window. It is possible to open the logfiles directly out of this popup-window.

Error Window:

You can use a static window for error-messages instead of a popup-window.

Autoselect next break:

If activated the next break will be set automatically.

Auto cue:

If you open a playlist the buffering ( cueing ) of the clips will start automatically.

Auto cue at drag and drop:

If you put new clips by drag & drop in the playlist the cueing will start automatically.

Cue/recue at select:

The cueing will start at the selected clip.

Cue/recue selected file:

Cueing of one selected file einer

Mark instructions between next file as cued:

If this checkbox is checked also the commands and instructions ( not just the videofiles ) will be cued. ( for example sendto-instructions or switcher-commands )

Execute instruction on cue:

Instructions can be executed during the cueing-process

Break mode view:

This is a different view-mode of the playlist, if checked the break-mode-view will be active

Use letters for numbering the boards:

If you are using a multichannel-system the decoderboards will be numbered by letters.

Roll active file to:

You can choose how many files ( and instructions ) of the past are shown in the active playlist. The current file or instruction will be count as zero.

New view:

This is the newer GUI of Masterplay OnAir ( which is recommended )

Width 1280:

If you are using a monitor with 1280pixel horizontal setting you are able to switch to this mode for to fit the screen.

Realtime preview:

Here you can switch the realtime-preview on and off.

Keep repeat button in break mode enabled:

Offers the possibility to use the repeat-fuction also in the break-mode

Preview ( PVW ):

You can choose the start- and endpoint of the preview.

Short keys:

You can disable various shortcuts ( which is more secure because of unwanted start- /stop-commands )

Auto reload playlist while:

Possibility to choose at which status the playlist will be reloaded ( in repeat-mode , during regular playback and so on )

Autocue next file:

Timebase of how many seconds before playback a file will be cued.


Board

Board:

The used decoderboard and all usable options of that is shown here.

Videoformat:

The videoformats are not just the basic formats like PAL / NTSC, also the standards like PAL_M, PAL_N, PAL_CN, NTSC_J, RGB, RGBHV und YPbPr are usable.

If you are using a HD-board also all the HD-formats are usable which the board do support.

Channel Name:

Choose a channel name that you want, it will be shown also in the main window.

Show first frame on Cue:

If this option is set to active you will not see a stillpicture of the last played file, the first frame of the next cued file will be shown.

Show Board Options:

Overview like serialnumber and so on of the used decoderboard.

First active line:

Option which line is the first active line of a frame ( default is zero )

End in black

After the playback of the last clip it will be faded out to black.

Monitor:

Option for the preview-monitor for 4:3 and 16:9 ( just the Overlay-preview )

A/V Sync:

Software- or hardware-Sync of audio and video.

A/V shift:

Possibility to shift the audio-video-sync. Möglichkeit die Audio-Video-Synchronität anzupassen. You will adjust the audio, a value of +40ms does mean you will get a delay of one frame to the videopart. If you do set it to -40ms the video will get a delay of one frame to the audiopart. This is neccessary if you divide the signals for to use seperate systems like CGs or whatever which can cause a delay.

Test Pattern:

Possibility to playback testpatterns like colorbars ( SMPTE, EIA or a unique filebased colorbar )

AES3:

Setting of the Audioformat ( Consumer, Professional, IEC61937 or SMPTE337M )

We strongly recommend the settings "consumer" or "professional", the other formats are very special designed for customers and not 100% compliant to the standards

Genlock:

Option if external clock should be used or not and of course with its special settings. By using the right mousebutton you are able to check the connected signal.

Buffer Size:

changes the used hardwarebuffer of the decoderboard.

Search for all streams:

Expands the search-possibilities to all sorts of mpeg-files.

Wide signaling:

option for to set the 16:9 flag to active.

Single Field in Pause/Stop:

if the playback is stopped you will see just a field-frame. The result is a clean still without the interlace-effect in half resulution.

m_bDone:

does send a short command after playback of the last mpeg-file. It´s recommended to set this option to active.


TCP-IP

Remote Interface:

this is the port for masterplay to receive messages or data. We recommend the port 50.000 or above. If you are using older Masterplay-systems please change the port from 5.000 to 50.000 or above.

Send play to:

this is the adress and port the OnAir-status of the Masterplay-system is sent to. ( for example to redundant failover-systems )

Status Infos:

to this adress you can send the status report at any specific time or by interval. If you leave the "ident extension" blank the computer name will be used automatically

Time sync:

Possibility to sync the time to a timeserver

Interval:

time-setting at which time it will be synchronized

Sync now:

manuell synchronisation

Time Server:

possibility to choose the used timeserver


Breaks

Use GPI all times:

GPI-actions can be used at any time, independent of the actual status of the system

GPI Events have Priority

GPI-events do have priority against other playlist-actions or commands

Ignore GPI 20s to NE

This is a security-option which does not allow multiple GPI-inputs for 20 seconds if this option is activated.

So if a GPI-input is set this line is not active for 20 seconds.

Allow early start

If activated, the GPI-command can be set before the Break-command is active in the playlist, so it keeps the GPI-input information.


Utilities

Audio Jukebox:

Choose a folder of audiofiles which can be used in collaboration with still pictures and the "insert directory"-command

Emergency Display:

Emergency-Files which are broadcasted of it´s not possible to playback files ( storage failure or whatever )

Random function:

does Llmit the random-fuction to artist-name in the filename.


Ports

Selection and configuration of external devices like switchers, faders, matrices, displays and so on.

After the selection you will get a new menue in the overview for to configure the device. ( all devices ( her a Kramer-switch for example ) can be configured in that way.


OSD

OSD files directory:

selection of the folder for OSD-files like logos and so on.

Logo Fade In/Out:

possibility to fade the logos in and out or using hardcuts for them.

Default Logo:

Selection of the pre-defined standard-logo


Logfiles

Directory:

Selection of the folder where the logfiles have to been stored.

External editor:

Define the default software for to view the logfiles ( which are regular txt-files )

As run (played) Naming:

Possibility to configure the logfile like maximum size, naming and so on.

Seperator:

Switch for different seperator-formats

Size:

configures the max size of the logfile ( maximum is 10 MB )

Directory in Filenames:

Here you are able to choose that the name of the logfile does contain the name of the folder which does store the file.

Additional information fields:

Configure additional informations which the logfiles do contain.

Write subplaylist informations:

does write all the informations of subplaylists also to the logfiles.

3rd party formats:

possibility for to store wideorbit- and TV-master compatible logfiles.


Directories

Playlists:

Choose the default path of the playlists.

Emergencyfiles:

Choose the path of the emergency-files ( mostly some short clips or stills with informations )

Search:

Choose the paths in that Masterplay OnAir does search automatically for files if the direct link out of the playlist does not exist anymore.

Include subdirectories:

Like above - additional to the directories the subfolders are used for the search.

Remove timed out directories:

If the folders are not found they will be deleted automatically from the list.

Use * in search:

does allow wildcard-searches


Still Picture

Default visible time:

Does set the default time for still pictures

Wipe:

different settings for the wipe-effect of stills

Fade in/out:

configuration of the speed of the fade-effect.

Filtering:

Does reduce the jitter-effect while playing back stills

Background color:

does define the background color which is visible if the stills do not fit the screen


RTF

If you use RTF ( rich text format ) files, the main difference is that this is textbased content.

This means that the playtime of the file does depend on the numbers of characters which are used for to give the viewer a ideal visible time for different textes with different lenghts.

Dynamic RTF time for 200 chars: visible time in seconds for a RTF-file with 200 characters

Default Backgr. color: Default background color for RTF-files without own background

Shadow X Y: possibility to customize the shadow

Background files: Path to the background grapicfiles

Photos: Path to the background photos


Audio

Mixer:

Usage of the integrated mixer, depending on the soundcard in your system

Set volumes to start:

reset to default settings

Fading:

Zeitangabe der Ein-/Ausblendung des Audiosignales

Mpeg / External:

does define the playback-device for different fileformats


Audio notification

Use text to speech:

Possibility to use the tts-engine for spoken messages

Files missing in:

If a file is missing or there´s no access to the file you will get a error message previously ( and you are able to set the time for that )

Minor error occured:

error messages for minor errors

Major error occured:

error messages for major errors

Next event arrives in:

messages for to advice the next event in xx minutes


EAS

This option is for controlling the EAS-character generators from Monroe electronics.

Just choose your device from the list, define the speed and the number of repeats and you have finished your basic configuration.


enhanced configuration


simple / enhanced

by using the right mousebutton you are able to switch between a simple and a enhanced configuration mode.

In enhanced mode there are a lot of functions more, depending of the modules you are using.


Status

The status-window does show a summary of all error-messages, split into major- and minor errors. Each message can be viewed seperately and confirmed by using the acknowledge-button. You are also able to open the logfiles directly from this window.

The popup-function can be switched on and of in the mainmenue in system-settings.


Monitoring

This monitoring-window does show all commands which are sent by TCP/IP to the active port.

With the option "log traffic" the protocol will be stored in a textfile too.

A similar fuction is avaliable for the serial port under monitoring -> Serial Port

Here you are able to open a seperate huge audio-levelmeter which can be positioned independent of the Masterplay OnAir GUI.

In this window you have a reltime-view of your buffer. At the end of a clip the buffer does get empty, so it is fine that the color does change to yellow and red.

It is important, that by starting playback of the next file the buffer does increase quite fast.

The serial communication-window allows you to send instructions to external decices or computers over the serial-interface.

It also does log all the sended instructions if this monitoring-window is opened, if you activate the checkbox "Log also if form is closed" it does log all the commands in background.

It is also possible to simulate a GPI- or CTS-input trigger by time interval or manually. Therefore hit the "fire now" button.


Debug

In debug-view you are able to check all played files, but also all commands and playback failures and so on.


Big Clocks

Possibility to use different big clocks like countdowns to next event or next file, elapsed time and so on. These clocks can be positioned independent of the Masterplay OnAir gui.


Logs

Here you do have direct access to all the logfiles like debug-log, status- and operator-log and the asrun-logfile. The last one does contain all the files which are played back fine.

The configuration of these logfiles can be done like explained in chapter "basic configuration" -> "logfiles"

You do have direct access to each day seperately and you do have a summary-overview of all errors ( split in major and minor errors )


text to speech

text to speech

Here you can define and check the tts speech-engine.

By default the microsoft Sam is used, but you are able to install and use different other tts-engines.


Playlist Editor

The Playlist-Editor is installed on every Masterplay-System and can be used standalone or by direct access from the Masterplay-gui.

mitinstalliert und kann sowohl aus der OnAir-Oberfläche, als auch Standalone aufgerufen werden.

In addition you can copy the file "PlaylistEditor.exe" to a different machine and use it seperately without any extra costs. So it is possible that more people do edit playlists simultaneously ( but it is not a "network-software" therefore please contact your local Masterplay-dealer )

Please take care, that the absolut path is similar to the OnAir-system, we recommend mapped drives with similar structures from your NAS.

You will find the "PlaylistEditor.exe" here : D:/install/Masterplay/Masterplay OnAir/PlaylistEditor.exe

For to start the Playlist Editor out of the OnAir-Software just use the button "Edit Playlist"

If you open the Playlist Editor out of Masterplay OnAir, the active playlist will be opened automatically.

If you start the Playlist Editor standalone for the first time you will get a new and empty playlist for to edit. Here you can choose the type of playlist you want to create.

Your first training-playlist should be "empty" Of course you are able to change the playlist later on into a repeat-playlist or whatever just by using the commands.

The start time of the event ( all playlists are event-based ) can be changed from midnight by using the right mousebutton to any other time.

Here we do use a example-playlist with "every day" events, so this playlist will be restarted each day at midnight.

By choosing the event-type you can also choose exact-events or floating-events.

The exact-event does start exact at the predefined time ( in this example at midnight ) by cutting the actual file or whatever. A exact-event does have highest priority.

By using "floating skip" the actual file will be played back until its end, after that the new event does start time-shifted.

By using "floating play all" all the files of the actual event will be played until end ( also Insert Directory-commands ) and after that the new event does start time-shifted.

In most cases it makes sense to use just one exact-event each day and all the other events will be floating events, because if you do have live-parts and so on they cannot planned quite exact second by second.

After a event-type is choosen you can add your files and commands windows-like by drag & drop them into the playlist. This can be done from the fileselector, also directly from your windows-explorer.

Keep in mind that it is NOT allowed to store the files in the root of your storage.

You can check the result time of your event and the missing playtime to your next event.

Like we do have just one exact-event per day here, there are 21:26:59 missing, in that case the result is a black output-signal.

So take care of this overview.


commands Playlist Editor

The Playlist Editor does contain some commands which may vary of your used Plugins ( VCR control, Router control, GPI....)

The commands can be handeled like videoclips, so just drag and drop them into your playlist.

Most commands can be configured by doubleclicking them.

Normal:

This is just used by old Masterplay-versions. Add the normal-command at the beginning of a playlist and the playlist will be played from top to bottom.

Repeat:

All clips after that command will be looped until the next event. The next event does stop this loop-command automatically. Both commands cannot be configured.

Break:

This command does wait for a GPI-trigger and can start a command directly or timeshifted. ( see also chapter break-playlist )

Info:

Does insert a information window in the playlist. This is just a information window which does not change the playlist itself, it is just a information-window for the editor or administrator of the playout-system. So you can leave messages in the playlists ( of more users are working on this playlist ) and so on.

Insert Directory:

Here you can load complete directories for example with trailers, fillers, billboards and so on.

You can choose the playback of this files randomly, normal and with or without subdirectories.

This is quite smart for to fill gaps before a new event starts.

Show Clock:

Here you are able to configure a realtime clock, a countdown or countup and the time to the next event.

Furthermore you can choose the format ( like shown in hh:mm:ss or in seconds and so on )

You are also able to define a point in time for to hide the clock.

For to configure the position where the clock is shown, the font and color use the configuration file, which you can load in the "configuration file"

If you want to edit these settings choose "edit" and a new window does appear.

The editing of a configuration-file:

Here you can configure the position by using the sliders or the position-numbers, representive for the upper left corner of the clock.

Any other OSD-graphic like logos or texts are configured in the same way and the OSD-Ffiles can be loaded within all these menues.

Choose the background-color and the transparency for the clock.

If you open this OSD-editor for txts like crawling-titles you are also able to define the font and the color of the characters and so on, but the basic handling

of this editor is ever the same.

Show Crawl:

If the source is just a one-time small text just type it into the text-row and choose Sorce "Text"

The show-pulldownmenue can configure when the crawl does start, at the same time than a start-point of a file or later on ( in that case switch from "at file begin" to "at" and define the time ) The Hide-command does stop the OSD-command.

Of course it is also possible to use textfiles as sources or whole directories.

The configuration is similar like the configuration of the OSD-clock.

Show Logo:

This is similar to all the others OSDs, these are just pictures and all the main formats like bmp, jpg, psd and so on are supported.

Please take care on the compatibility of your decoder board, some do just support special bit-depths, so check this out before using logos.

OSD off:

The OSD OFF-command does stop ALL Overlay-commands, also if there a few active at the same time ( like a logo and a countdown )

Overlay:

This is an option for to control external CGs. Please check the reference manual -> Overlay for the functions and the configuration.

Insert Playlist:

Insert a different Playlist in the actual playlist and combine them. For example create a playlist just for advertisement and use this plalist each day in other playlists on and on.

Change Playlist:

Does stop the actual playlist immediately and does witch to another playlist. Keep in mind that it stops the running playlist immediately.

Video-Switcher:

This command can control videoswitchers and other external devices.

For a explanation how it does work in a playlist please take a look in the reference-manual -> chapter "Switcher control"

Send to:

The "send to" command allows you to send instructions over TCP/IP or serial port, or UDP or FTP-ports to external devices.

You are able to send textbased-commands or file-instructions, and they can be sent delayed.

VCR-control:

This is also an option, which allows you to control VCR-devices which are connected at the serial-port.

Just choose the number of the VCR and the timecode input and outpoint, that´s it.

TTS:

Allows you to use the text-to-speech-engine which is installed on your system for to lecture a text which you can define.

set config:

allows you to send values to special hardware ( like Stradis-boards, ip-adresses, switchers and so on )

This is a very developer-based function but sometimes usefull for to switch framerates during playback or things like this.

The usage is like this:

!Set Config send ip adress=172.30.1.20 ( which is similar usable with the sendto-command )

This command changes the ports register which is defined in Option TCP-IP to the new value.

It can take up to 20 seconds until the new IP-adress is active

GPS-Station:

This special feature is designed for traffic-information systems like busses, trains or whatever. Whith this option you are able to control other devices or start titles or information-tables depending on your physical position.


customized instruction list

Create a customized instruction list.

If you do not need all the commands in your instruction-list, or you do have some predefined commands ( like router commands and so on ) you are able to create modified instruction lists.

Therefore open the playlist editor and delete all entries.

Choose your needed commands by drag & drop in the playlist. All commands are kept in yor basic instruction list ( of course ) and can be used at any time.

You can switch between multiple instruction lists at any time.

Save your command list by using the option "Save as command list". Please use the folder which is defined as the default folder for instruction lists.

By default this is the right path: D:/install/Masterplay/Masterplay OnAir/CommandLists

Now you are able to switch your command lists in Playlist Editor.

You can define as many instruction lists as you want. For example use a different instruction list for all Overlay commands and so on.


reference manual

the first project:

Open the Playlist Editor by using the desktop-shortcut or use Start -> Programs -> Masterplay -> Masterplay OnAir -> Playlist Editor

HINT !

you can copy the file "PlaylistEditor.exe" to a different machine and use it seperately without any extra costs. So it is possible that more people do edit playlists simultaneously ( but it is not a "network-software" therefore please contact your local Masterplay-dealer )

Please take care, that the absolut path is similar to the OnAir-system, we recommend mapped drives with similar structures from your NAS.

You will find the "PlaylistEditor.exe" here : D:/install/Masterplay/Masterplay OnAir/PlaylistEditor.exe

Define a new Playlist by using Playlist -> New and choose "empty"

This is a empty playlist without any specialities. Confirm this with the "create" button

For to create the playlist drop the Repeat-command at the beginning of the playlist, so that all the clips and commands will be played by loop until the next event is reached.

Now also drop some clips in the playlist. This can be done from the fileselector, also directly from your windows-explorer.

Keep in mind that it is NOT allowed to store the files in the root of your storage.

You can choose clip-by-clip or windows-like by pressing the shift-button or the STRG-button you can group your selection, or ( if you use the explorer fuction ) you can mark them with a rectangle in the folder.

Save the playlist by using the yellow "save" fuction.

Now you can load the playlist in Masterplay OnAir and all the inserted clips will be played in loop.

HINT !

Define your path in Configuration -> Directories which will be opened by default by the fileselector, so there´s no need to browse through your whole starge.


Audio Jukebox

Audio Jukebox:

The audio jukebox is a usefull tool for to create playlists with advertisements or information-stills with backgroundmusic quite fast.

Choose the directory where your audiofiles are stored ( normally you can use *.wav and *.mp3 files )

The Playlist, or just a short event like late-night-program will be defined in that way:

Use the command "Insert Directory" and configure it.

Here we do use it standalone, but of course you can insert this command at the end of any existing event.

By double-click you will reach the options.

Choose the directory with your still pictures, which can be JPG, PNG, BMP and so on. We do recommend to resize the pictures to your broadcast-resolution ( e.g.720x576 Pixel for PAL ) just for to take care that the pictures are shown correctly. The internal scaler does scale the pictures to the external format, but does not take care about the original aspect ratio.

Now configure the visible time - for example 10 seconds.

the Loading mode does define playback-style:

· normal : by filename alphabetical
· random: pure random
· select random: randomly, but each file will just played once until all files are played. After that the random loop does restart.

By changing the "Max age" you can define a timerange the files are legal. "Sub from event" should be choosen if the insert directory is part of another event.

The OnAir-GUI does show the Insert-Directory-command seperately, and all the files in that order they will be played. Like regular playlists it is allowed to change the order manually.

The playback of a insert-directory-command will be stopped by the next event, if it is a exact event by hardcut - otherwise by floating or skip ( at the end of the loop or the end of the actual file )


Switcher-Control

the Switcher-/Router-Control Option

Nearly everybody noes need the function to switch the videosignals. You can do this automatically and scheduled directly out of Masterplay OnAir with the Option "Router-Control"

Select your switch in the config-menue -> Ports for to configure it. A lot of devices are predefined there

Choose your switch and you will get instantly the possibility to switch directly out of the Masterplay OnAir-gui and of course timed from your Playlist.

The device is shown at the bottom of your current playlist and you are able to choose any matrix-combination which is possible.

There are two different view-modes avaliable, the functionality is similar. Just click "change view" and choose the one you prefer.

The second mode does need more space on your monitor, but you are able to switch directly, in mode one you have to "activate" the in-/out before switching is possible.

Of course the needed space does depend on the possibilities of your matrix, here for to explain a 64x64 matrix:

The graphical view is no realtime-preview. For refreshing it switch to "simple mode", then to enhanced mode again and choose your router.

By using this, you are able to switch live, without automation or editing the playlist.

If you want to automate this, you habe to use the command "Video-Switch" in your Playlist Editor. There´s no limitation of devices or commands in the playlist, all initialized devices are shown in the properties of the command-gui.

So drag & drop the command in your Playlist and configure it by doubleclicking it. Choose your switcher and the combination of input and output you want to set.

You are also able to choose a length of this status, after this time ( if set - otherwise keep it clear ) it switches back to the old status.

Name this command for a better Overview in your Playlist.

Please configure a Default-status for your switcher for mpeg-playback. If this is done there is no need to use commands for this default-setting. If you playback Mpeg-files the switcher does automatically switches to this configured setting.

HINT!

If you need this switcher-status more often it is also possible to create a special instruction list with all your settings you do need.

This increases your workflow dramatically, because there is no need to configure the switcher modes again and again....

Save this instruction list as explained in chapter "customized instruction list"


Break-Playliste

A Break-Playlist is a playlist which is controlled for example by GPI-signals.

It is quite easy to do this in Masterplay OnAir, so let´s show a small example

First of all you have to define the default setting of your router / switcher if it´s not done already.

After the initialisation of your router a new option do appear in the board-options ( marked with red here ) which does define the default-setting which is active if Mpeg-files are played.

This is the switcher-setting which does match if you do play files from your archive.

After that you have to define the setting ( and the electric connection ) of your GPI-device like footswitch and so on which is connected to your COM-port. Choose the menue Ports -> COM1 -> Others -> GPI

You do have to activate the checkbox "enable GPI-inputs" also

Now you will get a GPI-submenue and define status of your switcher for the needed input. Choose an icon for the lucidity of your playlist.

Now all the basic settings are done. Start the Playlist Editor and create a break-playlist. Of course any other playlist is also able to contain GPI-commands, but for the beginning we want to show a pure break-playlist.

You have got a new command in your instruction list ( the GPI-command with your choosen icon ) and the first command in your playlist is already this GPI-command.

Because you do have defined the input like shown in picture 4 now the input 2 of your switcher is now OnAir.

This should be the signal of your Live-camera.

The administrator of the GPI-trigger does now have the possibility to start the playback of the clip from your archive. Because the default-setting for archive-files ( see picture 2 ) is input 1 the switcher does automatically switch to this input. There´s no need to define another command for that.

After the playback of this file is finished the Break does become active again ( here in our small playlist ) and you do broadcast from your Live-input again until the next GPI-command and so on.

Because Break-Playlist with Live-parts are mostly not exact calculatable by second, we recommend a "Insert Directory"-Command with filler at the end of the playlist.

By doubleclicking on your break-command you are able to configure it like naming it and a expected length of this Live-event.

This is usefull for the calculation of your playlist and it is possible to use a preview clock with countdown ( see chapter "big clock" ) for the anchorman.

If you activate the checkbox "Cancel waiting after played" the next event does start automatically. Keep in mind: the next event - not the next clip or command !!!

The explained playlist does look like this in your Masterplay-OnAir-view:


Overlay-option

The overlay-option does control external titlers and CGs like Inscriber, Chyrone, Cayman and of course Masterplay CG.

First of all you have to define which CG-system you are using.

It depends on your CG which settings you have to do in this options. Check the checkbox "send overlay-instructions also..." if you are using a single-channel

system without failover, so that Masterplay OnAir does send these CG-instructions also without the OnAir-status ( which just makes sense with redundant systems )

Define the IP-adress and portnumber of your CG for the device-control.

If there is a "clear all"-command possible ( depending on the CG you are using ) you can define this command for easier handling. Otherwise you have to define it

in the Plalist Editor manually or as a instruction and you can save it there.

After this basic configuration you are able to use the "Overlay"-command in Playlist Editor.

Give this comman a unique name ( this step is similar to most other commands ) and choose the function.

In this example we are using Masterplay CG, so everything can be done by defining "Play/Stop/Close" ( we are working on "Clear all")

Of course you have to build your title on the CG before.

Now define when the title does have to start, at file begin - otherwise you have to configure the time.

"Hide" is the end-command and can be configued similar, including a number of cycles to run.

Select the template-file, which is the project-file of the CG, for to load the configured title.

Tag name and source depends on your CG-system, mostly you can leave it on default.

Please contact your local dealer or system integrator for this.

Some CGs ( like Cayman ) do support previews with live-commands.

In that case you are able to use the "instant access external overlay" and you will get a preview list of your projects.

Now you are able to do a quickstart by clicking this preview. Of course this is also possible with the stop ( empty ) command.


Troubleshooting

 Top Previous

Problem:

OSD-Logos are not displayed correctly ( wrong colors, cropped or shifted )

Solution:

Check the Bit-Depth of your logo-file. Depending on your Decoder-board and the driver it is just possible to use very specific picture-settings.

Convert your logo into 12 Bit, 16 Bit, 24 Bit.. and so on, if you are using analog Stradisboards like the 026 with old drivers it might be also possible that the resulution must be devidable through 4 ( like 80x60 pixel, so 81x60 or 80x61 is NOT possible )

Take a look on the properties of a logo which is working fine and use identical settings.

Problem:

Devices like CGs cannot be controlled also if the network-connection is working fine.

Solution:

Deactivate Firewall or Tools like Defender and so on. Check if the Ports are opened and configured correctly.

If pinging is possible and sending the commands with Hyperterminal is working fine the socket-communication is bad.

Reboot the Masterplay-system.

For long-time-solution change the network-card and drivers ( and/or routers ) to certified devices and software.

Problem:

An Event is not played back until the end, the next event is loaded to early

Solution:

Do never use the Start-/Stop-function if the system is OnAir, because after a stop-command the next event is used as time-reference, so it will be loaded with highest priority. For security-reasons we do also recommend to deactivate shortcuts if they are not needed. ( Configuration -> Edit Mode -> Short Keys -> Disable )

Problem:

Events are loaded but not played back

Solution:

Check the checkbox "all events do have the same priority"

There are different types of events avaliable: daily, weekly, every day events. "Every day"-Events can be stopped by a weekly event, a weekly event can be stopped by a daily event, but a daily event CANNOT be stopped by a weekly or everyday-event. So if you check the option "all events do have the same priority" all events can be stopped by the start point of any kind of event.

Problem:

Device control of external devices is not possible

Solution:

If the cabeling and setup of the devices is fine, please check the option "Send SendTo instructions also if Masterplay is not OnAir"

This option must be activated for non-redundant systems. The option is developed for redundant failover-systems for to take care that only the "hot" system is sending instructions to the devices, so the commands are not active from the second system. If you are using a single system without this option checked all the SendTo-instructions are disabled.

Problem:

System freezes during saving the Playlist in Segment Editor.

Solution:

Install the latest Updates for your Masterplay-solution. The problem may occure, if you do close the segment editor during the saving-process. The latest versions do have a security-routine, which does prevent the closing of the segment-editor during saving the Playlist.